org.apache.cassandra.db.commitlog

## Class CompressedSegment

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegment
  - - org.apache.cassandra.db.commitlog.CompressedSegment

    public class CompressedSegment
    extends CommitLogSegment

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`CommitLogSegment.CommitLogSegmentFileComparator`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`descriptor, ENTRY_OVERHEAD_SIZE, id`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `internalClose()` Close the segment file.
`long` `onDiskSize()`

### Methods inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`contains, contentSize, dirtyString, getContext, getDirtyCFIDs, getName, getPath, isStillAllocating, isUnused, markClean, toString, writeSyncMarker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### internalClose

    protected void internalClose()

Description copied from class: `CommitLogSegment`
Close the segment file. Do not call from outside this class, use syncAndClose() instead.

Overrides:
  `internalClose` in class `CommitLogSegment`

#### onDiskSize

    public long onDiskSize()

Specified by:
  `onDiskSize` in class `CommitLogSegment`